FROM centos:centos7


RUN rpm -ivh http://repo.zabbix.com/zabbix/3.2/rhel/7/x86_64/zabbix-release-3.2-1.el7.noarch.rpm

RUN yum -y update ; \
    yum -y install zabbix-agent zabbix-sender \
    yum clean all;


EXPOSE 10050/TCP


ADD setup/zabbix_agentd.conf /etc/zabbix/
ADD setup/run-zabbix.sh /run-zabbix.sh
RUN chown -R zabbix:zabbix /etc/zabbix/

RUN sync

RUN chmod -v +x /run-zabbix.sh
RUN sh /run-zabbix.sh
